View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17545Feature requestsUser / Groups / Rolespublic2021-09-13 14:48
Reporteralorenc Assigned To 
PrioritylowSeverityfeature 
Status newResolutionopen 
Summary17545: Survey templates visible to everyone
DescriptionObjective:
All regular survey users have the right to create surveys only. So they can't see other users' polls.

We want to create a group of surveys containing survey templates that can be used by other users by copying them. So they should not be able to change the template, but they can copy it and work on the copy as if they were their own template. A copy of such a template would not be visible to other users.

We would also like users to be able to add their templates to the Template group. But it is optional, because they can always report such a need to the super-admin and he will upload the selected survey to the template group.

Current 5.x solutions:
To implement the above-mentioned functionality, we would have to add all users to the "Templates" group and then assign all users to this group so that they could view the questionnaires. Unfortunately, with the dynamic number of users, it is impossible.
Additional InformationThe topic was discussed, among others, on the forum:
https://forums.limesurvey.org/forum/can-i-do-this-with-limesurvey/124976-surveys-hidden-from-other-survey-owners
TagsNo tags attached.
Bug heat6

Users monitoring this issue

User List 2BITS_PL

Activities

DenisChenu

DenisChenu

2021-09-03 12:26

developer   ~66308

Last edited: 2021-09-03 12:27

View 2 revisions

sorry for previous message … template != theme

> To implement the above-mentioned functionality, we would have to add all users to the "Templates" group and then assign all users to this group so that they could view the questionnaires. Unfortunately, with the dynamic number of users, it is impossible.

Yes right : can be done on plugin, but there are no system to assign user to a "Survey group" by default.
Globally : there are no default settings or extra forced setting for User.
alorenc

alorenc

2021-09-08 09:53

reporter   ~66390

The idea is not to assign them all, but to check on a permission level that the survey is "template" type if it gives you access to it.

Proposals for solutions:
1. Assignment to a group, e.g. default (or dedicated)
2. Adding a checkbox inside the survey "mark as template". Additionally, you can limit the visibility of checkobx only to the administrator or the right to update surveys.

Plug:
The problem is that even if I add a checkbox using a plugin. I don't think I will be able to manipulate the survey list view (admin panel) so that users can see the surveys and copy them.
DenisChenu

DenisChenu

2021-09-08 10:12

developer   ~66396

Last edited: 2021-09-08 10:13

View 2 revisions

> The problem is that even if I add a checkbox using a plugin. I don't think I will be able to manipulate the survey list view (admin panel) so that users can see the surveys and copy them.

I have a mantis issue about this https://github.com/LimeSurvey/LimeSurvey/blob/2c65e5412d7882753d732b67679b8b5a9650cc24/application/models/Survey.php#L1648-L1649

https://bugs.limesurvey.org/view.php?id=16459


Else : if you create a "Template" Surveys group : you can give read/export rights to each user : it's OK , no ?
You can give to each user Read/export on ALL surveys inside this group
alorenc

alorenc

2021-09-13 12:42

reporter   ~66469

The proposed solution works and makes sense when you have a fixed number of administrators or their monthly rotation is very small. Then someone can supervise it.

But if there are 5000 such administrators and the turnover is say 100 per month or more, I need an employee who regularly updates these group permissions. For us, it is a waste of time and money. We'd rather automate this, a feature that would give access to the "Templates" group to everyone without exception.

We do not need to create a separate "Templates" group, it can be a Default group where all polls will be visible to everyone - as long as it would be easier to implement.
DenisChenu

DenisChenu

2021-09-13 14:48

developer   ~66472

> The proposed solution works and makes sense when you have a fixed number of administrators or their monthly rotation is very small. Then someone can supervise it.

Totally right :)

Think the best solution for your purpose is to have a solution to set Survey as template (need https://bugs.limesurvey.org/view.php?id=16459)

Issue History

Date Modified Username Field Change
2021-08-26 13:09 alorenc New Issue
2021-08-26 13:13 DenisChenu Bug heat 0 => 2
2021-08-26 13:14 DenisChenu Bug heat 2 => 0
2021-08-30 08:43 galads Priority none => low
2021-09-03 12:22 DenisChenu Bug heat 0 => 2
2021-09-03 12:22 DenisChenu Bug heat 2 => 0
2021-09-03 12:26 DenisChenu Note Added: 66308
2021-09-03 12:26 DenisChenu Bug heat 0 => 2
2021-09-03 12:27 DenisChenu Note Edited: 66308 View Revisions
2021-09-07 13:21 c_schmitz Project Bug reports => Feature requests
2021-09-08 09:53 alorenc Note Added: 66390
2021-09-08 09:53 alorenc Bug heat 2 => 4
2021-09-08 10:12 DenisChenu Note Added: 66396
2021-09-08 10:13 DenisChenu Note Edited: 66396 View Revisions
2021-09-08 12:30 2BITS_PL Issue Monitored: 2BITS_PL
2021-09-08 12:30 2BITS_PL Bug heat 4 => 6
2021-09-13 12:42 alorenc Note Added: 66469
2021-09-13 14:48 DenisChenu Note Added: 66472